:root {
    /* Cores Principais */
    --cor-principal: #f07a22;
    --cor-principal-fundo: #f07a22;
    --cor-texto: #FFFFFF; /* ou "white", se preferir */
    --cor-texto-secundaria: #000000;
    --cor-fundo: #fff4e7;
    --cor-acento: #007bff;
    --cor-destaque: #ffaf40;
    --cor-erro: #FF5733;
    --cor-sucesso: #4CAF50;
    --cor-aviso: #FFC107;
    --cor-fundo-modal: #fefefe;
    --cor-titulo-modal: #333333;

    /* Cores para Botões */
    --cor-botao: #FFFFFF;
    --cor-botao-hover: #f8a52b;
    --cor-fundo-botao: white;
    --cor-texto-botao: #f07a22;
    --cor-botao-especial: #4CAF50;
    --cor-botao-especial-hover: #388E3C;
    --cor-botao-ranking: #4CAF50;
    --cor-hover-botao-ranking: #388E3C;
    --cor-btn-salvar: var(--cor-botao-especial);
    --cor-btn-cancelar: #f44336;
    --cor-btn-cancelar-hover: #b62b21;
    --cor-botao-funcionario: #ff6f00;
    --cor-botao-funcionario-hover: #d86412;
    --cor-botao-funcionario-texto: #ffffff;
    --cor-botao-funcionario-sombra: rgba(0, 0, 0, 0.2);
    --cor-botao-funcionario-borda: #ffffff;
    --cor-botao-remocao-fundo: #f44336; /* Cor de fundo para indicar ação de remoção */
    --cor-botao-remocao-texto: #FFFFFF; /* Cor de texto para botões de remoção */
    --cor-botao-remocao-hover: #d32f2f; /* Cor de fundo ao passar o mouse para botões de remoção */
    --cor-botao-remocao-borda: #c12e2a;
    /* Cores para Formulários e Inputs */
    --cor-sombra-form: rgba(100, 100, 111, 0.2);
    --cor-fundo-form: #FFFFFF;
    --cor-input-fundo: #f7f7f7;
    --cor-input-borda: #e1e1e1;
    --cor-input-foco: #c7c7c7;
    --cor-titulo-form: #333;

    /* Novas variáveis para Preferência */
    --cor-preferencia: purple;
    --cor-preferencia-texto: #666;
    --cor-preferencia-destaque: #000; /* Para o texto em negrito */


    /* Sombra e Gradiente */
    --cor-sombra: rgba(0, 0, 0, 0.1);
    --cor-sombra-modal: rgba(0, 0, 0, 0.4);
    --gradiente-motivacional: linear-gradient(135deg, #f07a22, #ffae52);
    --sombra-box: 0 0 10px rgba(0, 0, 0, 0.2);

    /* Fontes e Tamanhos */
    --fonte-peso-normal: 400;
    --fonte-peso-negrito: 600;
    --tamanho-fonte-botao: 1em;
    --tamanho-fonte-h1: 36px;
    --tamanho-fonte-h2: 24px;
    --tamanho-fonte-padrao: 1rem;
    --tamanho-fonte-status: 20px;
    --tamanho-icone-lupa: 1.5rem;
    --fonte-motivacional1: 'Orbitron', sans-serif;
    --fonte-motivacional2: 'Roboto', sans-serif;

    /* Outros Estilos */
    --raio-borda: 5px;
    --margem-padrao: 10px;
    --transicao-padrao: 0.3s ease;
}



/* Estilos para o select customizado */
/* Estilos para o select customizado com uma abordagem moderna */
.select-customizado {
    display: block;
    width: 100%;
    padding: 12px 12px;
    font-size: 1rem;
    font-weight: 500; /* Peso da fonte um pouco mais negrito */
    line-height: 1;
    color: #5A5A5A; /* Cor de texto mais suave */
    background-color: #FAFAFA; /* Fundo claro para um look limpo */
    background-clip: padding-box;
    border: 2px solid #E3E3E3; /* Borda mais fina e suave */
    border-radius: 8px; /* Bordas arredondadas para um look moderno */
    transition: all 0.2s ease-in-out;
    cursor: pointer; /* Muda o cursor para indicar que é um elemento clicável */

    /* Remove o estilo padrão do navegador para o dropdown */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    /* Ícone customizado para o dropdown */
    background-image: url('data:image/svg+xml;charset=US-ASCII,<svg width="20px" height="20px" viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg"><path fill="%23959595" d="M884 256H140c-19.2 0-29.44 23.04-15.36 36.48l372 372c12.16 12.16 31.68 12.16 43.84 0l372-372c14.08-13.44 3.84-36.48-15.36-36.48z"/></svg>');
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 20px 20px;

    /* Estilo quando o select está focado */
    &:focus {
        border-color: #A0A0A0; /* Borda um pouco mais escura ao focar */
        box-shadow: 0 0 0 3px rgba(160, 160, 160, 0.2); /* Sombra suave ao redor */
        outline: none; /* Remove o contorno padrão do navegador */
    }

    /* Estilo para as opções do select */
    option {
        font-weight: 400;
        color: #5A5A5A; /* Cor de texto suave */
        background-color: #FAFAFA; /* Fundo claro para as opções */
    }
}

/* Estilo para o select quando o mouse passa por cima */
.select-customizado:hover {
    border-color: #CCCCCC; /* Borda mais destacada no hover */
    background-color: #F0F0F0; /* Fundo um pouco mais escuro no hover */
}

.select-customizado-log {
    display: block;
    width: 100%;
    padding: 12px 12px;
    font-size: 1rem;
    font-weight: 500; /* Peso da fonte um pouco mais negrito */
    line-height: 1;
    color: #5A5A5A; /* Cor de texto mais suave */
    background-color: #FAFAFA; /* Fundo claro para um look limpo */
    background-clip: padding-box;
    border: 2px solid #E3E3E3; /* Borda mais fina e suave */
    border-radius: 8px; /* Bordas arredondadas para um look moderno */
    transition: all 0.2s ease-in-out;
    cursor: pointer; /* Muda o cursor para indicar que é um elemento clicável */

    /* Remove o estilo padrão do navegador para o dropdown */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    /* Ícone customizado para o dropdown */
    background-image: url('data:image/svg+xml;charset=US-ASCII,<svg width="20px" height="20px" viewBox="0 0 1024 1024" xmlns="http://www.w3.org/2000/svg"><path fill="%23959595" d="M884 256H140c-19.2 0-29.44 23.04-15.36 36.48l372 372c12.16 12.16 31.68 12.16 43.84 0l372-372c14.08-13.44 3.84-36.48-15.36-36.48z"/></svg>');
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 20px 20px;

    /* Estilo quando o select está focado */
    &:focus {
        border-color: #A0A0A0; /* Borda um pouco mais escura ao focar */
        box-shadow: 0 0 0 3px rgba(160, 160, 160, 0.2); /* Sombra suave ao redor */
        outline: none; /* Remove o contorno padrão do navegador */
    }

    /* Estilo para as opções do select */
    option {
        font-weight: 400;
        color: #5A5A5A; /* Cor de texto suave */
        background-color: #FAFAFA; /* Fundo claro para as opções */
    }
}

/* Estilo para o select quando o mouse passa por cima */
.select-customizado:hover {
    border-color: #CCCCCC; /* Borda mais destacada no hover */
    background-color: #F0F0F0; /* Fundo um pouco mais escuro no hover */
}




.primeira-visita {
    color: rgb(0, 0, 0);
    font-weight: bold;
}

.clientes-fila .cliente-item.primeira-visita-fundo {
    background-color: #fadb85;
    /* Um tom de dourado claro */
}

.primeira-visita-fundo {
    border-left: 5px solid #f8a52b;
    /* Uma borda lateral para maior destaque */
}



body {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    /* Regular */
    background-image: url('https://blooming-cove-88341-3f0299714f13.herokuapp.com/images/background.jpg');
    background-size: cover;
    color: var(--cor-texto-secundaria);
}

.section {
    display: flex;
    flex-direction: column;
}

.container {
    background: var(--cor-input-fundo);
    color: var(--cor-texto);
    margin: 20px auto;
    padding: 20px;
    border-radius: 10px;
    box-shadow: var(--sombra-box);
    max-width: 800px;
    overflow: hidden; /* Garante que o conteúdo não extrapole o container */
}

.input-nome-cliente {
    flex: 1 0 65%; /* Ajuste para o input do nome, considerando os espaços e rótulo */
    margin-right: 1%; /* Espaço entre o input do nome e o rótulo do código de rastreio */
}

.label-codigo-rastreio {
    color: var(--cor-texto-secundaria); /* Cor de texto secundária para o rótulo */
    flex: 0 0 auto; /* Flexibilidade automática para o conteúdo do rótulo */
    margin-right: 1%; /* Espaço entre o rótulo e o input do código de rastreio */
    padding-right: 1%; /* Espaço interno para evitar que o texto toque o input do código */
margin-left: 15px;
}

.input-codigo-rastreio {
    flex: 0 0 15%; /* Ajuste para o input do código de rastreio */
}


/* Estilos para as opções da datalist */
option {
    padding: 8px;
    cursor: pointer;
}

strong,
.bold {
    font-weight: 700;
    /* Bold */
}

/* Estilos adicionados para títulos e subtítulos */
/* Estilos para a seção de autenticação */
.aut-autenticacao {
    background: rgba(255, 255, 255, 0.9);
    margin: 20px auto;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    max-width: 800px;
    text-align: center;
    /* Centraliza o conteúdo da autenticação */
}

.aut-autenticacao h2 {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-principal-fundo);
    margin-bottom: 1rem;
}

.aut-autenticacao button {
    background-color: var(--cor-principal-fundo);
    color: var(--cor-texto);
    padding: 12px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
    width: auto;
    /* Permite que o botão tenha o tamanho do seu conteúdo */
    display: block;
    /* Garante que o botão fique numa linha própria */
    margin: 0 auto;
    /* Centraliza o botão */
}

.aut-autenticacao button:hover {
    background-color: var(--cor-botao-hover);
}

h1 {
    font-size: 2.5rem;
    font-weight: 700;
    text-align: center;
    margin-bottom: 1rem;
}

h2 {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-principal-fundo);
    margin-bottom: 0.5rem;
}

#autenticacao,
#fila {
    margin-top: 20px;
}

input[type='text'],
input[type='password'],
select,
button {
    border: 1px solid #ccc;
    background-color: #fff;
    padding: 12px;
    margin: 8px 0;
    width: 100%;
    box-sizing: border-box;
    border-radius: 5px;
}

button {
    background-color: var(--cor-principal-fundo);
    color: var(--cor-texto);
    padding: 12px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
}

button:hover {
    background-color: var(--cor-botao-hover);
}

#secaoAdicionarCliente {
    display: block;
    /* Continua sendo flexbox */
    flex-direction: column;
    /* Define a direção do flex como linha */
    justify-content: space-between;
    /* Isso irá colocar espaço entre o título e o botão, alinhando-os nas extremidades */
    align-items: center;
    gap: 15px;
    /* Espaço entre os elementos */
    padding: 20px;
    max-width: 800px;
    margin: 20px auto;
}







/* Formulario edição */

#formEdicao {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 0 50px;
    border-radius: 10px;
    box-shadow: 0 5px 15px var(--cor-sombra);
    /* Sombra mais suave e espalhada */
    z-index: 1000;
}


.modal-edicao {
    background-color: var(--cor-fundo-form);
    padding: 20px;
    border-radius: 10px;
    box-shadow: var(--cor-sombra-form);
    width: 50%;
    /* Ajuste a largura máxima conforme necessário */
    max-width: 600px;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    /* Permite rolagem se o conteúdo for muito longo */
    max-height: 90vh;
    /* Impede que o modal seja mais alto que a tela */
}

.titulo-form-edicao {
    color: var(--cor-titulo-form);
    margin-bottom: 20px;
}

.form-edicao .grupo-campo {
    margin-bottom: 15px;
    width: 100%;
}

.label-edicao {
    display: block;
    margin-bottom: 5px;
    color: var(--cor-texto-secundaria);
}

.input-edicao,
.select-edicao {
    width: 100%;
    padding: 10px;
    border: 1px solid var(--cor-input-borda);
    border-radius: 5px;
    background-color: var(--cor-input-fundo);
}

.radio-edicao {
    margin-right: 10px;
}

.radio-label-edicao {
    margin-right: 15px;
    color: var(--cor-texto-secundaria);
}

.legend-edicao {
    color: var(--cor-titulo-form);
    margin-bottom: 10px;
}

.grupo-acoes {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.botao-edicao {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
    font-weight: bold;
}

.botao-salvar {
    background-color: var(--cor-botao-especial);
    color: var(--cor-texto);
}

.botao-salvar:hover {
    background-color: var(--cor-botao-especial-hover);
}

.botao-cancelar {
    background-color: var(--cor-btn-cancelar);
    color: var(--cor-texto);
}

.botao-cancelar:hover {
    background-color: var(--cor-btn-cancelar-hover);
}


/* Formulario remocao */


.modal-remocao {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
    background-color: var(--cor-fundo-modal);
    padding: 30px;
    z-index: 1050;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: var(--raio-borda);
    box-shadow: var(--sombra-box);
    max-width: 450px;
    font-family: var(--fonte-motivacional2), sans-serif;
    color: var(--cor-titulo-modal);
}

.titulo-modal-remocao {
    font-size: var(--tamanho-fonte-h2);
    margin-bottom: var(--margem-padrao);
    color: var(--cor-titulo-modal);
}

.motivos-remocao {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    gap: var(--margem-padrao);
    width: 100%;
    margin-bottom: var(--margem-padrao);
}

.botao-modal-remov {
    padding: 10px 20px;
    border-radius: var(--raio-borda);
    border: 2px solid var(--cor-botao-remocao-borda); /* Adicionando uma borda para destacar */
    cursor: pointer;
    background-color: var(--cor-botao-remocao-fundo);
    color: var(--cor-botao-remocao-texto);
    font-size: var(--tamanho-fonte-botao);
    transition: background-color var(--transicao-padrao), border-color var(--transicao-padrao);
}

.botao-modal-remov:hover {
    background-color: var(--cor-botao-remocao-hover);
    border-color: darken(var(--cor-botao-remocao-hover), 10%); /* Escurecendo a borda no hover, ajuste conforme necessário */
}


/* Formulario edição */






.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}





#logoEmpresa {
    display: block;
    max-width: 200px;
    /* ajuste a largura conforme necessário */
    height: auto;
    margin: 20px auto;
    /* Isso centraliza o logo e adiciona um pouco de espaço em cima e embaixo */
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 500;
}

.radio-label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    color: var(--cor-texto-secundaria);

}

.radio-opcao {
    display: inline-flex;
    align-items: center;
    margin-right: 10px;
}

.radio-opcao input[type="radio"] {
    margin-right: 5px;
}

.radio-opcao span {
    font-weight: normal;
    color: var(--cor-texto-secundaria);
}

/* Outros estilos para botões de rádio */
input[type="radio"] {
    /* Se você deseja manter o estilo padrão de botões de rádio, remova os estilos personalizados ou ajuste conforme abaixo */
    -webkit-appearance: none;
    /* Remove o estilo padrão nos navegadores WebKit */
    -moz-appearance: none;
    /* Remove o estilo padrão no Firefox */
    appearance: none;
    /* Remove o estilo padrão geral */
    border: 1px solid #ccc;
    background-color: #fff;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    vertical-align: middle;
    cursor: pointer;
}

input[type="radio"]:checked {
    background-color: var(--cor-principal-fundo);
}

input[type="radio"]:focus {
    outline: none;
}

/* Estilização adicional para os rótulos dos botões de rádio */
.radio-opcao label {
    cursor: pointer;
}

/* Estilo do contêiner de cada cliente na fila */
.clientes-fila .cliente-item {
    display: flex;
    flex-wrap: wrap;
    /* Permite que os itens da fila se ajustem conforme o espaço disponível */
    align-items: center;
    background: #fff;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* Estilo para as informações do cliente */
.cliente-info {
    flex-basis: 100%;
    /* Ocupa a largura total da linha */
    margin-bottom: 5px;
    color: rgb(0, 0, 0);

    /* Espaço abaixo das informações do cliente */
}

/* Estilo para o nome do cliente */
.cliente-nome {
    font-weight: bold;
    font-size: 1.2em;
    color: rgb(0, 0, 0);
}

/* Estilo para o serviço e status de assinante do cliente */
.cliente-servico,
.cliente-assinante {
    font-size: 1em;
    color: rgb(0, 0, 0);

}

/* Estilo dos botões de ação */
.cliente-acoes {
    display: flex;
    gap: 5px;
    /* Espaço entre os botões */
}

/* Estilo dos botões individuais */
/* Estilo dos botões de ação */
.cliente-acoes button {
    padding: 5px 10px;
    /* Preenchimento uniforme para todos os botões */
    font-size: 0.9em;
    /* Tamanho da fonte uniforme */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    flex: 1;
    /* Faz cada botão ocupar espaço igual dentro do contêiner flex */
    margin: 0 5px;
    margin-top: 4px;
    /* Espaçamento uniforme entre os botões */
    min-width: 90px;
    /* Garante um tamanho mínimo para todos os botões */
}

/* Estilo do botão Editar */
.acao-editar {
    background-color: #f0ad4e;
    /* Amarelo */
}

.acao-editar:hover {
    background-color: #ec971f;
    /* Amarelo mais escuro ao passar o mouse */
}

/* Estilo do botão Remover */
.acao-remover {
    background-color: #d9534f;
    /* Vermelho */
}

.acao-remover:hover {
    background-color: #c9302c;
    /* Vermelho mais escuro ao passar o mouse */
}

/* Estilo do botão Concluído */
.acao-concluir {
    background-color: #5cb85c;
    /* Verde */
}

.acao-concluir:hover {
    background-color: #449d44;
    /* Verde mais escuro ao passar o mouse */
}

.acao-pagamento {
    background-color: #337ab7;
    /* Azul */
    color: white;
    padding: 5px 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-left: 10px;
    /* Espaço entre este botão e outros botões */
    transition: background-color 0.3s;
}

.acao-pagamento:hover {
    background-color: #286090;
    /* Azul mais escuro ao passar o mouse */
}

.pagination {
    margin-top: auto;
    /* Isso empurra a paginação para o final */
    /* Outros estilos para a paginação */
}

.acao-analise-concluida {
    background-color: #6f42c1;
    /* Cor roxa */
    font-size: 0.9em;
    /* Tamanho da fonte uniforme */
    color: white;
    flex: 1;
    /* Faz cada botão ocupar espaço igual dentro do contêiner flex */
    padding: 5px 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
}

.acao-analise-concluida:hover {
    background-color: #5a3696;
    /* Cor roxa mais escura ao passar o mouse */
}

.cliente-posicao {
    font-weight: bold;
    margin-right: 10px;
    font-size: 1em;
    color: var(--cor-principal-fundo);
    /* Ou qualquer cor que se destaque no fundo */
}

.cliente-nome {
    display: block;
    /* ou use flex, dependendo do seu layout */
    font-weight: bold;
    /* Outros estilos conforme necessário */
}

.preferencia-label {
    color: var(--cor-preferencia); /* Cor roxa para o texto "Preferência:" */
    margin-top: 5px; /* Espaço acima, se necessário */
}

.cliente-preferencia {
    color: var(--cor-preferencia-texto); /* Cor mais sutil para o nome da funcionária */
    margin-left: 02px; /* Indenta o nome da funcionária para destacar a subordinação à "Preferência:" */
}

.preferencia-label, .cliente-preferencia {
    display: inline; /* Para manter na mesma linha */
    font-size: 0.9em; /* Mantém o tamanho de fonte consistente */
    font-weight: var(--fonte-peso-negrito); /* Aplica negrito em ambos */
}

.preferencia-container {
    display: block; /* Isso garante que a preferência fique numa linha separada */
    color: var(--cor-preferencia-texto); /* Aplica a cor */
    margin-top: 5px; /* Espaço acima */
}

/* Estilo para cliente que não pagou */
.cliente-item {
    position: relative;
    /* Posição relativa para a pseudo-classe ::before */
    /* outros estilos... */
} 

.cliente-nao-pago .cliente-nome {
    color: red;
    /* Nome em vermelho */
    font-weight: bold;
    /* Uma borda lateral para maior destaque */

}

.cliente-nao-pago .cliente-acoes button {
    flex: 1;
    /* Isso mantém o botão com tamanho igual */
}

.cliente-item.cliente-nao-pago::before {
    content: '';
    display: block;
    width: 60px;
    height: 100%;
    background-color: red;
    /* Cor vermelha */
    position: absolute;
    right: 0;
    top: 0;
    border-top-right-radius: 5px;
    /* Arredonda o canto superior esquerdo */
    border-bottom-right-radius: 5px;
    /* Arredonda o canto inferior esquerdo */
    box-shadow: 5px 0 5px rgba(0, 0, 0, 0.1);
    /* Sombra externa suave */

}



/* Ícone de lembrete de cobrança */
.icon-lembrete-cobranca::before {
    content: '\1F4B3';
    /* ícone de cartão de crédito ou similar */
    font-size: 1em;
    margin-left: 5px;
}

/* Estilos para o modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
    /* Fundo escurecido */
}

.modal-content {
    background-color: var(--cor-fundo-modal);
    margin: 5% auto;
    /* Centralização vertical */
    padding: 2em;
    border-radius: 10px;
    /* Bordas arredondadas para o modal */
    width: 60%;
    /* Ajuste para monitores de computador */
    max-width: 600px;
    box-shadow: 0 4px 8px var(--cor-sombra-modal);
    text-align: center;
}

/* Título do modal mais elegante */
.modal-content h2 {
    color: var(--cor-titulo-modal);
    font-weight: var(--fonte-peso-negrito);
    /* Títulos mais destacados */
    margin-bottom: 1em;
    /* Espaçamento abaixo do título */
}




#funcionariasButtons {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    /* Duas colunas */
    gap: 20px;
    /* Espaço entre os botões */
    padding: 10px;
    align-items: start;
    /* Alinhamento vertical no começo */
}

#funcionariasButtons button {
    padding: 10px;
    font-size: var(--tamanho-fonte-botao);
    font-weight: var(--fonte-peso-normal);
    border-radius: 20px;
    border: none;
    background-color: var(--cor-botao-funcionario);
    color: var(--cor-texto);
    cursor: pointer;
    transition: background-color var(--transicao-botao);
    box-shadow: 0 3px 6px var(--sombra-botao-funcionario);
    display: flex;
    align-items: center;
    /* Centraliza o texto verticalmente */
    justify-content: center;
    /* Centraliza o texto horizontalmente */
    height: 80px;
    /* Altura fixa para todos os botões */
    margin-bottom: 10px;
    /* Espaçamento entre os botões */
    text-align: center;
    /* Garante que o texto esteja centralizado */
}

#funcionariasButtons button:hover {
    background-color: var(--cor-botao-funcionario-hover);
    box-shadow: 0 5px 10px var(--sombra-botao-funcionario);
}


.modal.show {
    animation: fadeIn 0.3s;
}

.cancelar-button {
    padding: 10px 20px;
    font-size: 18px;
    font-weight: var(--fonte-peso-negrito);
    border-radius: 30px;
    /* Bordas arredondadas */
    border: none;
    background-color: var(--cor-btn-cancelar);
    color: var(--cor-texto);
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
    width: calc(50% - 40px);
    /* Ocupa metade da largura menos o gap */
    margin: 20px auto;
    /* Centralizado e com espaço em cima */
    display: block;
    /* Permite usar margin auto */
    box-shadow: 0 3px 6px var(--cor-sombra);
}

.cancelar-button:hover {
    background-color: var(--cor-btn-cancelar-hover);
    transform: translateY(-2px);
    /* Efeito de 'levantar' o botão */
}

.cancelar-button:active {
    transform: translateY(1px);
    /* Efeito ao clicar */
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.container-16-9 {
    width: 100%;
    /* Ou um valor fixo que preferir */
    height: calc(100% * 9 / 16);
    /* Mantém a proporção 16:9 */
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f0f0f0;
    /* Exemplo de cor de fundo */
}

/* Estilo do botão Logout */
.acao-logout {
    padding: 5px 10px;
    /* Ajusta o padding conforme necessário */
    background-color: #f8a52b;
    /* Cor laranja mais clara */
    color: #fff;
    /* Cor do texto */
    border: none;
    /* Remove a borda */
    border-radius: 5px;
    /* Ajusta o raio da borda conforme necessário */
    cursor: pointer;
    /* Estilo do cursor para indicar clicabilidade */
    font-size: 0.8em;
    /* Ajusta o tamanho da fonte conforme necessário */
    text-align: center;
    width: 60px;
    /* Defina o tamanho que desejar */
    height: 30px;
    /* Mantenha a altura para alinhamento vertical */
    /* Adiciona margin-left ou margin-right se necessário para ajustar a posição horizontal */
}

.acao-logout:hover {
    background-color: #ec971f;
    /* Um laranja mais escuro ao passar o mouse */
}

.titulo-adicionar-cliente {
    font-size: 2rem;
    font-weight: 700;
    color: var(--cor-principal-fundo);
    margin-right: auto;
    text-align: center;
    /* Removemos o flex-grow: 1; */
}

/* Início do Check */

.check-titulo {
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--cor-principal-fundo);
    margin-right: auto;
    text-align: center;
    /* Removemos o flex-grow: 1; */
}

.check-motivational-section p {
    
    font-family: var(--fonte-motivacional2);
    margin: 0; /* Remover a margem padrão para alinhar com o ícone */
    animation: fadeIn 2s ease-in-out;
    display: flex;
    align-items: center; /* Alinha o texto com o ícone */
}

.check-extra-message-section {
    width: 90%;
    color: var(--cor-principal); /* Cor principal do site */
    padding: var(--margem-padrao);
    margin: 1rem auto; /* Margem superior/inferior de 1rem e margens laterais automáticas */
    font-size: var(--tamanho-fonte-padrao);
    font-family: var(--fonte-motivacional2);
    text-align: center; /* Texto centralizado */
    border-radius: var(--raio-borda);
    box-shadow: 0 2px 4px var(--cor-sombra);
    background-color: var(--cor-fundo); /* Cor de fundo suave */
}

#check-extraMessage {
    margin: 0; /* Removendo qualquer margem padrão */
}

.check-search-section {
    background: var(--cor-fundo);
    padding: var(--margem-padrao);
    width: 90%;
    display: flex;
    flex-direction: column; /* Organiza os elementos em colunas */
    gap: 10px; /* Espaçamento entre as linhas */
    margin: 1rem auto; /* Margem superior/inferior de 1rem e margens laterais automáticas */
    border-radius: 8px;
}

.check-search-row {
    width: 100%; /* Faz com que a linha ocupe toda a largura da search-section */
    display: flex;
    justify-content: left; /* Distribui o espaço igualmente entre os elementos */
    align-items: center;
}

#check-cpfInput {
    min-width: 300px; /* Tamanho mínimo para acomodar um CPF completo */
    padding: 10px;
    border: none;
    border-top-left-radius: var(--raio-borda); /* Arredondado apenas no canto superior esquerdo */
    border-bottom-left-radius: var(--raio-borda); /* Arredondado apenas no canto inferior esquerdo */
    border-top-right-radius: 0; /* Canto superior direito reto */
    border-bottom-right-radius: 0; /* Canto inferior direito reto */
    font-size: var(--tamanho-fonte-padrao);
    box-shadow: 0 4px 6px var(--cor-sombra);
    transition: transform 0.3s, box-shadow 0.3s;
}

#check-cpfInput:focus {
    outline: none; /* Remove o contorno ao focar */
}

.check-botao-ranking {
    padding: 10px;
    border: none;
    border-radius: 4px; /* Curvatura consistente nas pontas */
    font-size: var(--tamanho-fonte-padrao);
    font-weight: 700;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    cursor: pointer; /* Cursor em forma de mãozinha */
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all 0.3s ease;
}

.check-search-button {
    padding: 5.5px;
    border: none;
    border-top-right-radius: var(--raio-borda); /* Arredondado apenas no canto superior direito */
    border-bottom-right-radius: var(--raio-borda); /* Arredondado apenas no canto inferior direito */
    border-top-left-radius: 0; /* Canto superior esquerdo reto */
    border-bottom-left-radius: 0; /* Canto inferior esquerdo reto */
    background-color: var(--cor-acento);
    color: var(--cor-texto);
    font-size: var(--tamanho-fonte-padrao);
    font-weight: 700;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: all 0.3s ease;
    width: 120px;
    margin-right: 30px; /* Espaço entre o botão de busca e o de ranking */
}

.check-botao-ranking {
    background-color: var(--cor-botao-ranking);
    color: var(--cor-texto);
    white-space: nowrap; /* Impede a quebra de linha do texto no botão */
    flex-grow: 0; /* Não permite que o botão de ranking cresça */
}

.check-search-button:hover, .check-botao-ranking:hover {
    background-color: var(--cor-hover-botao);
}

#check-cpfStatus {
    font-size: var(--tamanho-fonte-status);
    font-weight: 700;
    padding: 10px;
    border-radius: var(--raio-borda);
    margin-top: var(--margem-padrao);
    /* Os estilos específicos de cores são definidos pelos IDs de status (success, warning, error) */
}

.check-infoBox {
    display: none; /* Ocultar inicialmente */
    background-color: var(--cor-fundo-botao);
    color: var(--cor-texto-botao);
    padding: 10px;
    border-radius: var(--raio-borda);
    box-shadow: 0 4px 6px var(--cor-sombra);
    text-align: center;
    font-size: var(--tamanho-fonte-infoBox);
    /* As infoBoxes estão ocultas por padrão, seu estilo de exibição é alterado via JavaScript */
}

#check-infoContainer {
    display: flex;
    flex-direction: column; /* Alinhar verticalmente */
    align-items: center;
    width: 100%; /* Ocupar toda a largura */
    gap: 10px; /* Espaçamento entre as boxes */
}

/* Classe para status de sucesso */
.check-success {
    color: #fff;
    background-color: #28a745; /* Verde */
    border-color: #28a745;
}

/* Classe para status de erro */
.check-error {
    color: #fff;
    background-color: #dc3545; /* Vermelho */
    border-color: #dc3545;
}

/* Classe para status de aviso */
.check-warning {
    color: #fff;
    background-color: #ffc107; /* Amarelo */
    border-color: #ffc107;
}

/* Classe para status inativo ou outros */
.check-inactive, .check-other {
    color: #fff;
    background-color: #6c757d; /* Cinza */
    border-color: #6c757d;
}





/* Ajustes para telas menores */
@media (max-width: 600px) {
    .cliente-acoes {
        flex-direction: column;
    }

    .cliente-info {
        flex-basis: auto;
        /* Permite que as informações do cliente se ajustem ao tamanho do contêiner */
    }
}

@media (max-width: 768px) {
    #formEdicao {
        display: none;
        position: fixed;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        border-radius: 10px;
        box-shadow: 0 5px 15px var(--cor-sombra);
        z-index: 1000;
        max-width: 600px;
        /* Sem limitação de largura máxima */
        width: 95%;
        /* Largura total para telas menores */

        overflow-y: auto;
        /* Permite rolagem se o conteúdo for muito longo */
        max-height: 90vh;
        /* Impede que o modal seja mais alto que a tela */
    }

    .modal-edicao {
        background-color: var(--cor-fundo-form);
        padding: 20px;
        border-radius: 10px;
        box-shadow: var(--cor-sombra-form);
        width: 90%;
        /* Largura total para telas menores */
        max-width: 300px;
        /* Sem limitação de largura máxima */
        margin: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .container, .check-extra-message-section, .check-search-section {
        width: 100%; /* Faz com que o container e as seções ocupem 100% da largura da tela */
        padding: 10px; /* Ajusta o padding para não ocupar muito espaço */
        box-sizing: border-box; /* Inclui o padding e a borda na largura total */
        margin: 0 auto; /* Centraliza o container na tela */
    }

    .check-search-section {
        flex-direction: column; /* Organiza os elementos internos em colunas */
        align-items: center; /* Centraliza os itens na direção transversal (neste caso, horizontalmente) */
        justify-content: start; /* Alinha os itens ao início da direção principal (neste caso, verticalmente) */
        width: 100%; /* Faz com que a seção ocupe 100% da largura da tela */
        padding: 10px; /* Ajusta o padding para não ocupar muito espaço */
    }

    .check-titulo, .check-extra-message-section p {
        font-size: 1rem; /* Diminui o tamanho da fonte para melhorar a legibilidade em telas menores */
    }

    #check-cpfInput, .check-botao-ranking, .check-search-button {
        padding: 8px; /* Reduz o padding dos botões e do input */
        font-size: 0.9rem; /* Diminui o tamanho da fonte dos botões */
        min-width: 0; /* Remove o min-width do input para permitir que ele se ajuste à tela */
        width: 100%; /* Permite que os botões e o input se ajustem à largura disponível */
    }

   .check-search-row {
    flex-direction: column; /* Altera a direção dos itens para coluna */
    gap: 5px; /* Define um espaçamento vertical entre os elementos */
    width: 100%; /* Garante que a row ocupe a largura total da seção */
    align-items: center; /* Centraliza os elementos na row */
    justify-content: center; /* Opcionalmente, pode ajudar a centralizar os itens caso haja altura suficiente */
}

    #check-cpfInput {
        flex-grow: 1; /* Permite que o input de CPF cresça para ocupar o espaço disponível */
    }

    .check-search-button, .check-botao-ranking {
        width: 100%; /* Faz com que os botões ocupem toda a largura possível */
        margin: 5px 0; /* Ajusta as margens para garantir espaçamento adequado */
    }
}


@media (max-width: 560px) {
    .modal-content {
        width: 80%;
        /* Aumenta a largura em telas menores para melhor leitura */
        padding: 1em;
        /* Reduz o padding para economizar espaço */
    }

    #funcionariasButtons {
        grid-template-columns: 1fr;
        /* Apenas uma coluna para telas menores */
        gap: 10px;
        /* Menos espaço entre os botões */
    }

    #funcionariasButtons button {
        height: auto;
        /* Altura automática para ajuste de conteúdo */
        margin-bottom: 10px;
        /* Espaço consistente entre botões */
    }

    .cancelar-button {
        width: 80%;
        /* Largura ajustada para o botão de cancelar */
        margin: 10px auto;
        /* Espaçamento superior e inferior aumentado */
    }
}


/* Estilos para telas muito pequenas */
@media (max-width: 480px) {


    .modal-content {
        width: 95%;
        /* Utiliza ainda mais espaço da tela para o modal */
    }

    #funcionariasButtons button {
        padding: 8px 10px;
        /* Padding reduzido para economizar espaço */
        font-size: 0.9em;
        /* Fonte ligeiramente menor para evitar quebra de texto */
    }

}